<?php

if(!defined('ABSPATH')) {exit;}

if(!class_exists('UPR_Ajax')) :

class UPR_Ajax {
	
	
	public function __construct() {
		$events = array(
				'ratebyuid' => true,
				'review_submit'	=> true , 
			);
		foreach ($events as $event => $nopriv) {
			add_action('wp_ajax_upr-'.$event, array($this, $event));
			if($nopriv) {
				add_action('wp_ajax_nopriv_upr-'.$event, array($this, $event));
			}
		}
	}
	
	public function ratebyuid() {
		$rating = get_option('upr_rating_'.$_POST['uid']);
		if(!$rating){
			$rating[get_current_user_id()] = $_POST['score'];
			add_option('upr_rating_'.$_POST['uid'],$rating);
		}else{
			$rating[get_current_user_id()] = $_POST['score'];
			update_option('upr_rating_'.$_POST['uid'],$rating);
		}
		die();
		
	}
	
	public function review_submit() {
		$user_reviews = get_user_meta($_POST['reciever_userid'] , 'user_reviews' ,true);
		if(empty($user_reviews)){
			add_user_meta($_POST['reciever_userid'] , 'user_reviews', array($_POST['sender_userid'] => $_POST['review']));
		}else{
			$user_reviews[$_POST['sender_userid']] = $_POST['review'];
			update_user_meta($_POST['reciever_userid'] , 'user_reviews', $user_reviews);
		}
	}
}

endif;
new UPR_Ajax();
?>