<?php

	/* Add extension shortcodes */

	add_action('userpro_custom_template_hook', 'userpro_rt_shortcodes', 99 );

	function userpro_rt_shortcodes($args) {
		global $userpro;
		extract($args);
		global $users;
		if ($args['template'] == 'rating') {
			if(isset($args['topmembers'])){
				$users = get_users(array('fields' => array( 'ID' )));
				$all_score = array();
				$topMember = array();
				foreach($users as $user) : $user_id = $user->ID;
				$all_score = get_option('upr_rating_'.$user_id);
				if(count($all_score)>0){
					if(is_array($all_score)){
						$topMember[$user_id] = array_sum($all_score)/count($all_score);
					}else{
						$topMember[$user_id] = 0;
					}
				}else {
					$topMember[$user_id] = 0;
				}
				endforeach;
				arsort($topMember , SORT_NUMERIC);
				include_once(UPR_PLUGIN_DIR.'templates/rating_topmemberlist.php');
			}elseif(is_user_logged_in()){
				$users = userpro_memberlist_loop($args);
				include_once(UPR_PLUGIN_DIR.'templates/rating_memberlist.php');
			}else{
				echo 'You Are not allowed to access this page. Please login to access It.';
			}
		}elseif ($args['template'] == 'reviews'){
			$user_id = userpro_get_view_user( get_query_var('up_username') );
			$user_reviews = get_user_meta($user_id , 'user_reviews');
			include_once(UPR_PLUGIN_DIR.'templates/review.php');
		}
	}

	